-- #302
CREATE TABLE permission (
     objectid             integer  not null
,    trusteeid            integer  not null
,    metaactionid         integer  not null
,    allow                tinyint  not null

,   constraint pk_permission                    primary key (objectid,trusteeid,metaactionid)
,   constraint fk_permission_metaactionid       foreign key (metaactionid)
        references metaaction                       (metaactionid)
,   constraint fk_permission_objectid           foreign key (objectid)
        references object                           (objectid)
,   constraint fk_permission_trusteeid          foreign key (trusteeid)
        references trustee                          (trusteeid)
)
GO
CREATE INDEX i_permission_trustee ON permission (trusteeid)
GO

CREATE INDEX i_permission_action ON permission (metaactionid)
GO

