CREATE VIEW v_lookup_host AS
SELECT h.name AS httphost, p.name AS poolname, st.name AS storename, si.guid AS siteguid, si.objectpath AS objectpath, si.maxservers AS sitemaxservers
FROM host h
INNER JOIN site si ON si.siteid = h.siteid
INNER JOIN store st ON st.storeid = si.storeid
INNER JOIN pool p ON p.poolid = st.poolid
;
