-- #102
CREATE TABLE store (
     storeid              integer  not null AUTO_INCREMENT
,    poolid               integer  not null
,    name                 varchar(255)  not null

,   constraint pk_store                         primary key (storeid)
,   constraint fk_store_poolid                  foreign key (poolid)
        references pool                             (poolid)
)
GO
CREATE UNIQUE INDEX u_store_name ON store (name)
GO
CREATE INDEX i_store_pool ON store (poolid)
GO
