-- #105
CREATE TABLE request (
     requestid            integer  not null AUTO_INCREMENT
,    siteid               integer  not null
,    hostid               integer  not null
,    uri                  varchar(255)  not null

,   constraint pk_request                       primary key (requestid)
,   constraint fk_request_siteid                foreign key (siteid)
        references site                             (siteid)
,   constraint fk_request_hostid                foreign key (hostid)
        references host                             (hostid)
)
GO
CREATE UNIQUE INDEX u_request ON request (hostid, uri)
GO
CREATE INDEX i_request_site ON request (siteid)
GO
