-- #103
CREATE TABLE site (
     siteid               integer  not null AUTO_INCREMENT
,    storeid              integer  not null
,    guid                 varchar(36)  not null
,    objectpath           varchar(255)  not null
,    maxservers           integer  null

,   constraint pk_site                          primary key (siteid)
,   constraint fk_site_storeid                  foreign key (storeid)
        references store                            (storeid)
)
GO
CREATE UNIQUE INDEX i_site_guid ON site (guid)
GO
CREATE UNIQUE INDEX i_site_objectpath ON site (storeid, objectpath)
GO
