CREATE VIEW v_lookup AS
SELECT h.name AS httphost, r.uri AS uri, p.name AS poolname, st.name AS storename, si.guid AS siteguid, si.objectpath AS objectpath, si.maxservers AS sitemaxservers
FROM host h
INNER JOIN request r ON r.hostid = h.hostid
INNER JOIN site si ON si.siteid = r.siteid
INNER JOIN store st ON st.storeid = si.storeid
INNER JOIN pool p ON p.poolid = st.poolid
;
